GuidesAPI Reference
API Reference

Creates a catalog

Creates a new catalog with the specified layers. The create catalog operation runs asynchronously. Once you've submitted the catalog for creation, you'll receive a randomly generated token that you can use to monitor the status of the operation.

Query Params
string

The billingTag parameter is an optional free-form tag that you can use to group billing records together. If supplied, it must be between 4 - 16 characters, contain only alpha/numeric ASCII characters [A-Za-z0-9]. Grouping billing records by billing tag will be available in future releases.

Body Params

A catalog object that contains metadata and layer definitions.

string
required
length between 3 and 63

The ID to use when referring to this catalog programmatically. Catalog IDs must be unique across all catalogs in the Open Location Platform. Do not put private information in the catalog ID. The catalog ID forms a portion of the catalog''s HERE Resource Name (HRN), and HRNs are visible to other users. Only lowercase alphanumeric characters (a-z), digits (0-9) and dash (-) are allowed in a catalog ID and the first and the last character must be a-z or 0-9.

string
required
length between 0 and 200

The short name for the catalog

string
required
length between 0 and 1000

A one-sentence summary of the catalog. You can see this summary when you browse a list of catalogs on the platform portal.

string
required
length between 0 and 10000

A detailed description of the catalog and what it contains. This information appears on the 'Overview' tab when you open a catalog in the platform portal.

tags
array of strings

Some keywords that help to find the catalog when searching in the platform portal

tags
layers
array

The layers in the catalog

layers
string

This field is deprecated on the catalog level. Use /catalogs/{catalogHrn}/dataSubsets to set areaScheme in the dataSubset instead. HERE Resource Name (HRN) of the Area Scheme used in the data subset. After deprecation setting areaScheme on the catalog level takes no effect. It will simply be ignored.

boolean

This field is deprecated on the catalog level. Use subsetRestrictions on the layer level only. Indicates if the subsetRestrictions for a layer is enabled or not. Supported only for layers with heretile partitioning. After deprecation setting subsetRestrictions on the catalog level takes no effect. It will simply be ignored.

int64

The version of the catalog configuration. Every change in this number indicates change in catalog configuration. Examples of changes in catalog configuration include changing catalog parameters and adding layers. Note that the catalog configuration version is not the same as the metadata/data version. Configuration and metadata versions are independent of each other and indicate different kinds of changes.

notifications
object

When set to true, a notification is written to the notification stream each time the version of the catalog changes. This field is optional, but you can update the value to modify notifications. Additionally, this field is not removable, and a null value is not allowed.

replication
object
automaticVersionDeletion
Responses

400

Bad Request - indicates that your request failed fast validation, such as syntax or some logical errors.

401

Unauthorized

402

Payment required - indicates that your request failed because performing the catalog operation would exceed the resource limit.

403

Forbidden

409

Conflict - indicates that a catalog with the same catalog ID already exists or is in the process of being created.

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json